package com.tenlionsoft.oamodule.beans;

import com.contrarywind.interfaces.IPickerViewData;

/**
 * 作者: adam
 * 日期: 2022/4/18 - 17:25
 * 邮箱: itgaojian@163.com
 * 描述:
 */
public class SuperviseTypeBean implements IPickerViewData {

    private String overseeTypeId;
    private String typeCode;
    private String typeContet;
    private String typeName;
    private String typeShowUrl;
    private String typeStatus;

    public String getOverseeTypeId() {
        return overseeTypeId;
    }

    public void setOverseeTypeId(String overseeTypeId) {
        this.overseeTypeId = overseeTypeId;
    }

    public String getTypeCode() {
        return typeCode;
    }

    public void setTypeCode(String typeCode) {
        this.typeCode = typeCode;
    }

    public String getTypeContet() {
        return typeContet;
    }

    public void setTypeContet(String typeContet) {
        this.typeContet = typeContet;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getTypeShowUrl() {
        return typeShowUrl;
    }

    public void setTypeShowUrl(String typeShowUrl) {
        this.typeShowUrl = typeShowUrl;
    }

    public String getTypeStatus() {
        return typeStatus;
    }

    public void setTypeStatus(String typeStatus) {
        this.typeStatus = typeStatus;
    }

    @Override
    public String getPickerViewText() {
        return typeName;
    }
}
